CUDA8.0和9.0版本切换

原创 2018年04月16日 10:34:37

CUDA deb方式安装后,nvcc –version无效的问题

sudo apt-get autoremove nvidia-cuda-toolkit 

//查看/usr/local/cuda/bin中是否有nvcc的可执行文件

//在~/.bashrc中添加
export PATH=$PATH:/usr/local/cuda/bin

source ~/.bashrc

nvcc --version

这里写图片描述

目前版本是9.0

CUDA多个版本的切换

除了9.0之外,还想装8.0,然后用的时候切换,在电脑上已经有一个cuda版本的情况下,要使用runfile安装
cuda8.0下载链接

sudo chmod 777 cuda_8.0.61_375.26_linux.run
./cuda_8.0.61_375.26_linux.run

其中的选择,注意驱动,我已经安装了cuda9.0,驱动版本是384,cuda8.0对应的驱动版本是375,已经安装了高版本驱动,就不要再安装一遍驱动,具体的选择信息如下
这里写图片描述

注意,~/.bashrc中的环境变量如下:

export PATH=\$PATH:/usr/local/cuda/bin
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/cuda/lib64  
export LIBRARY_PATH=$LIBRARY_PATH:/usr/local/cuda/lib64  

其实实现版本切换就是将cuda-8.0或者cuda-9.0软链接到cuda上
9.0切到8.0
这里写图片描述
再切回去
这里写图片描述

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u010821666/article/details/79957071

把图像文件上传到数据库,并从数据库读出

上传图片到数据库:using System;using System.Collections;using System.ComponentModel;using System.Data;using S...
  • wildhorse01
  • wildhorse01
  • 2002-06-26 09:23:00
  • 1049

深度学习配置CUDA8.0/9.0及对应版本cuDNN安装

本人为中科院测地所博士生,所研究专业为自然地理学(遥感数据分析方向),研究课题偏向于深度学习。 由于本人不是计算机专业,故有关计算机配置及操作方面相较于计算机专业人员不是那么专业。所以请各位大牛大神...
  • m0_37638031
  • m0_37638031
  • 2017-12-25 20:59:18
  • 2916

ubuntu14.04 安装TensorFlow&升级 cuda8.0 的坑

上半年忙着博士入学,写毕业论文,准备答辩,一系列事情,总算是差不多做好有时间回来搞学术。欠了很久的跟师弟一起调DDPG强化学习策略的代码,是基于Keras+TensorFlow的。由于之前没用过 TF...
  • shincling
  • shincling
  • 2017-05-11 21:39:55
  • 1349

cuda7.5 和cuda8共存

reference: https://devtalk.nvidia.com/default/topic/971478/installing-cuda-7-5-next-to-cuda-8-0-on-...
  • u012223913
  • u012223913
  • 2017-08-04 14:27:23
  • 2163

windows 7 下cuda 9.0 卸载、cuda8.0 安装

1.首先 对于cuda8.0、cuda7.5的卸载都可以兼容 安装cuda9.0之后,电脑原来的NVIDIA图形驱动会被更新,NVIDIA Physx系统软件也会被更新(安装低版cuda可能不会被...
  • shuiyuejihua
  • shuiyuejihua
  • 2017-12-07 11:43:33
  • 10434

cuda由7.0升级到8.0

有个单卡的服务器,想在上面装tensorflow 1.0,但是报错提示需要cuda 8.0,而本机的cuda是7.0. 于是就想进行升级: 升级之前的准备工作1 uname -m && cat ...
  • lanyuxuan100
  • lanyuxuan100
  • 2017-04-22 10:57:21
  • 3511

tensorflow暂未兼容cuda9.0, 安装cuda8.0

旧版本cuda都在这边 https://developer.nvidia.com/cuda-toolkit-archive nvidia社区相同问题 https://devtalk.nvi...
  • Line290
  • Line290
  • 2017-11-14 20:40:32
  • 5937

Ubuntu16.04下同时安装CUDA8.0和CUDA7.0

首先可以说明一点的是,在ubuntu16.04环境下CUDA8.0和CUDA7.0可以共存。笔者自己先安装的是CUDA8.0,然后再安装的CUDA7.0,安装完CUDA8.0发现安装CUDA7.0一直...
  • Mr_KkTian
  • Mr_KkTian
  • 2017-11-25 16:44:35
  • 1260

关于重装cuda8.0与cudnn6.0的一点感受

      给另外台电脑配置了下环境,对安装cuda8.0也有了新的理解。如果你确实按照官方步骤按照,基本上不会出问题。出问题的基本上是盲目按照某些个人安装经验来操作,导致出错。以下记录几点感受。(1...
  • qq_36501182
  • qq_36501182
  • 2018-03-07 10:45:29
  • 111

升级 CUDA 到 9.0、Tensorflow 到1.6

Update 注意,官方编译的 TF1.6 尚不支持 cuDNN 7.1.x,下载时请选择 cuDNN 7.0.x。 Tensorflow 最新的 1.6 版本需要 CUDA9.0,原来装的是...
  • leayc
  • leayc
  • 2018-03-25 15:48:47
  • 299
收藏助手
不良信息举报
您举报文章:CUDA8.0和9.0版本切换
举报原因:
原因补充:

(最多只允许输入30个字)